Skip to Content
inclamoDocs

List Agents in Inbox

GET
/api/v1/accounts/{account_id}/inbox_members/{inbox_id}

Get Details of Agents in an Inbox

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

inbox_id*integer

The ID of the Inbox

account_id*integer

The numeric ID of the account

Response Body

Success

application/json
  1. response
payload?array<>

Array of all active agents

Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v1/accounts/0/inbox_members/0'
Example Response
{  "payload": [    {      "id": 0,      "account_id": 0,      "availability_status": "online",      "auto_offline": true,      "confirmed": true,      "email": "string",      "available_name": "string",      "name": "string",      "role": "agent",      "thumbnail": "string",      "custom_role_id": 0    }  ]}